%bcond_without qt5

%define	major	1
%define	libname	%mklibname %{name} %{major}
%define	devname	%mklibname %{name} -d
%define	oname	openal-soft

Name:		openal
Summary:	3D Sound Library
Version:	1.24.0
Release:	%mkrel 1
License:	LGPLv2
Group:		Sound/Utilities
URL:		https://www.openal-soft.org/
Source0:	https://www.openal-soft.org/openal-releases/%{oname}-%{version}.tar.bz2
#
BuildRequires:	cmake
# For the backends
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libmysofa)
BuildRequires:	pkgconfig(libpipewire-0.3)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(portaudio-2.0)
# For the examples and config utility
BuildRequires:	ffmpeg-devel
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(sndfile)
%if %{with qt5}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
%endif
BuildRequires:  sdl2_sound-devel
Provides:	%{oname} = %{version}-%{release}

%description
OpenAL is a free 3D-audio library, with a programming interface similar
to that of OpenGL.


%package -n	%{libname}
Summary:	Main library for OpenAL, a free 3D sound library
Group:		Sound/Utilities
Provides:	libopenal%{?_isa} = %{version}-%{release}
Provides:	libopenal = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with OpenAL.


%package -n	%{devname}
Summary:	Headers for developing programs that will use OpenAL
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n	%{devname}
This package contains the headers that programmers will need to develop
applications which will use OpenAL, a free 3D audio library.


%prep
%autosetup -p1 -n %{oname}-%{version}

%build
%cmake -DALSOFT_INSTALL_CONFIG=ON \
       -DALSOFT_CPUEXT_NEON:BOOL=OFF \
%ifarch %{ix86}
       -DALSOFT_ENABLE_SSE2_CODEGEN=OFF \
       -DALSOFT_CPUEXT_SSE=OFF \
       -DALSOFT_CPUEXT_SSE2=OFF \
       -DALSOFT_CPUEXT_SSE3=OFF \
       -DALSOFT_CPUEXT_SSE4_1=OFF \
       -DHAVE_MSSE2_SWITCH=OFF \
       -DHAVE_MSSE3_SWITCH=OFF \
       -DHAVE_MSSE3_SWITCH=OFF \
       -DHAVE_MSSE4_1_SWITCH=OFF \
       -DHAVE_MSSE4_1_SWITCH=OFF \
       -DHAVE_SSE_INTRINSICS=OFF \
%endif
       -DSDL_SOUND_INCLUDE_DIR=%{_includir}/SDL2 \
       -DSDL_SOUND_LIBRARY=%{_libdir}/libSDL2_sound.so
%cmake_build

%install
%cmake_install

install -D -m 0644 alsoftrc.sample %{buildroot}%{_sysconfdir}/%{name}/alsoft.conf

%files
%dir %{_sysconfdir}/openal
%config(noreplace) %{_sysconfdir}/openal/alsoft.conf
%{_bindir}/allafplay
%{_bindir}/aldebug
%{_bindir}/aldirect
%{_bindir}/alrecord
%{_bindir}/alhrtf
%{_bindir}/allatency
%{_bindir}/alloopback
%{_bindir}/almultireverb
%{_bindir}/alplay
%{_bindir}/alffplay
%{_bindir}/alreverb
%{_bindir}/alstream
%{_bindir}/makemhr

%if %{with qt5}
%{_bindir}/alsoft-config
%endif
%{_bindir}/altonegen
%{_bindir}/openal-info
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/alsoftrc.sample
%{_datadir}/%{name}/hrtf/
%{_datadir}/%{name}/presets/

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/AL/
%{_libdir}/cmake/OpenAL/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so


%changelog
* Thu Nov 21 2024 daviddavid <daviddavid> 1.24.0-1.mga10
+ Revision: 2117955
- new version: 1.24.0

* Thu Apr 20 2023 luigiwalser <luigiwalser> 1.23.1-1.mga9
+ Revision: 1953675
- 1.23.1
- remove patch (fixed upstream)

* Thu Feb 16 2023 daviddavid <daviddavid> 1.23.0-1.mga9
+ Revision: 1943012
- new version: 1.23.0

* Thu Feb 02 2023 wally <wally> 1.22.2-2.mga9
+ Revision: 1937626
- add libopenal provides to lib pkg

* Sat Oct 29 2022 ghibo <ghibo> 1.22.2-1.mga9
+ Revision: 1900121
- Fix building.
- Update to release 1.2.22.
- Remove ffmpeg-5.0 patch merged upstream.
- Merge patch from FC for arm/neon.
- Disable NEON on arm.
- Fix files list.

* Tue Mar 15 2022 mrambo3501 <mrambo3501> 1.21.1-2.mga9
+ Revision: 1793499
- rebuild for ffmpeg 5.0

* Wed May 26 2021 akien <akien> 1.21.1-1.mga9
+ Revision: 1728221
- Version 1.21.1
- Rebuild for sndio 1.8.0 with fixed SONAME

* Thu Mar 11 2021 ghibo <ghibo> 1.21.0-2.mga9
+ Revision: 1701479
- Fix invalid instructions (SSE, SSE2, SSE3, SSE4.1) on pure i586 arch.

* Wed Dec 30 2020 akien <akien> 1.21.0-1.mga8
+ Revision: 1665699
- Version 1.21.0

* Thu Dec 17 2020 umeabot <umeabot> 1.20.1-5.mga8
+ Revision: 1659151
- Rebuild for new Qt5

* Fri Jul 24 2020 kekepower <kekepower> 1.20.1-4.mga8
+ Revision: 1608819
- Rebuild for new sndio

* Thu Feb 20 2020 umeabot <umeabot> 1.20.1-3.mga8
+ Revision: 1546343
- Mageia 8 Mass Rebuild
+ eatdirt <eatdirt>
- Fix for package name change on sdl2_sound

* Sat Feb 01 2020 eatdirt <eatdirt> 1.20.1-1.mga8
+ Revision: 1486384
- Upgrade to version 1.20.1, fix binaries build
+ wally <wally>
- build with new cmake macros

* Thu Dec 26 2019 shlomif <shlomif> 1.20.0-1.mga8
+ Revision: 1470165
- New version 1.20.0 - remove sdl1 buildtime conflict

* Sun Mar 31 2019 umeabot <umeabot> 1.19.1-2.mga7
+ Revision: 1383607
- Qt5 Rebuild

* Sun Oct 14 2018 shlomif <shlomif> 1.19.1-1.mga7
+ Revision: 1320353
- New version 1.19.1

* Sun Sep 23 2018 umeabot <umeabot> 1.18.2-3.mga7
+ Revision: 1299974
- Mageia 7 Mass Rebuild

* Thu Apr 26 2018 daviddavid <daviddavid> 1.18.2-2.mga7
+ Revision: 1222574
- rebuild for new ffmpeg 4.0

* Tue Oct 24 2017 shlomif <shlomif> 1.18.2-1.mga7
+ Revision: 1173317
- New version 1.18.2

* Mon Jul 17 2017 akien <akien> 1.18.0-1.mga7
+ Revision: 1124243
- Version 1.18.0

* Tue May 02 2017 akien <akien> 1.17.2-4.mga6
+ Revision: 1098316
- Rebuild for ffmpeg 3.3

* Thu Mar 09 2017 akien <akien> 1.17.2-3.mga6
+ Revision: 1090843
- Add upstream patch to fix build with ffmpeg 3.0+
- Rebuild for ffmpeg 3.2.4

* Wed Mar 01 2017 ghibo <ghibo> 1.17.2-2.mga6
+ Revision: 1088245
- Rebuilt against pulseaudio 10

* Fri Apr 01 2016 shlomif <shlomif> 1.17.2-1.mga6
+ Revision: 997394
- New version + remove "Requires" of libopenal on openal.

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.17.1-1.mga6
+ Revision: 918960
- 1.17.1

* Fri Nov 14 2014 fwang <fwang> 1.16.0-4.mga5
+ Revision: 797002
- rebuild for new ffmpeg

* Wed Oct 15 2014 umeabot <umeabot> 1.16.0-3.mga5
+ Revision: 748076
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.16.0-2.mga5
+ Revision: 683183
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 akien <akien> 1.16.0-1.mga5
+ Revision: 674142
- Version 1.16.0

* Sat Oct 19 2013 umeabot <umeabot> 1.15.1-4.mga4
+ Revision: 529663
- Mageia 4 Mass Rebuild

* Thu Jan 17 2013 pterjan <pterjan> 1.15.1-3.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Sun Jan 13 2013 umeabot <umeabot> 1.15.1-3.mga3
+ Revision: 361887
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 1.15.1-2.mga3
+ Revision: 341735
- rebuild for new ffmpeg

* Sun Jan 06 2013 luigiwalser <luigiwalser> 1.15.1-1.mga3
+ Revision: 340203
- 1.15.1

* Sun Jan 06 2013 luigiwalser <luigiwalser> 1.15-1.mga3
+ Revision: 339759
- 1.15
- remove upstreamed patch

* Sun Dec 02 2012 kamil <kamil> 1.14-2.mga3
+ Revision: 324638
- update Group: Sound/Utilities
- cleaning

* Sun Aug 19 2012 luigiwalser <luigiwalser> 1.14-1.mga3
+ Revision: 282267
- 1.14
- build with ffmpeg
- fix building with ffmpeg

* Mon Jul 04 2011 ahmad <ahmad> 1.13-1.mga2
+ Revision: 118000
- Update to 1.13

* Mon Jan 24 2011 ahmad <ahmad> 1.12.854-3.mga1
+ Revision: 37864
- imported package openal


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.12.854-2mdv2011.0
+ Revision: 607012
- rebuild

* Thu May 13 2010 Colin Guthrie <cguthrie@mandriva.org> 1.12.854-1mdv2010.1
+ Revision: 544706
- New version (fixes serious bug relating to alsa initialisation)
- Don't build static library
- Drop legacy openal-config script (pkgconfig support is preferred)
- Drop scripts for older distros

* Mon Feb 15 2010 Emmanuel Andry <eandry@mandriva.org> 1.11.753-1mdv2010.1
+ Revision: 506153
- New version 1.11.753
- rediff p1
- drop p7 (merged upstream)

* Sat Dec 19 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.10.622-2mdv2010.1
+ Revision: 480123
- prefer pulseaudio driver (P7)

* Sat Dec 19 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.10.622-1mdv2010.1
+ Revision: 480067
- new release: 1.10.622

* Tue Oct 06 2009 Thierry Vignaud <tv@mandriva.org> 1.7.411-4mdv2010.0
+ Revision: 455188
- fix conflicts

* Sun Sep 27 2009 Funda Wang <fwang@mandriva.org> 1.7.411-3mdv2010.0
+ Revision: 449677
- add conflicts to ease upgrade

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - move non-libraries out of library package to prevent conflicts (fixes #54087)

* Wed May 27 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.7.411-1mdv2010.0
+ Revision: 380211
- clean no longer used buildrequires and add missing ones
- since we already have config files in library package, we might as well carry
  openal-info with it as well..
- update to openal-soft 1.7.411
  * sync with debian patches

* Sat Apr 11 2009 Funda Wang <fwang@mandriva.org> 0.0.8-10mdv2009.1
+ Revision: 365959
- fix str fmt
- rediff pthread patch
- rediff arch patch

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.0.8-10mdv2009.0
+ Revision: 265206
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - add -b for patches

* Wed Apr 23 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.8-9mdv2009.0
+ Revision: 196930
- sync patches with Fedora
- re-order patches

* Mon Feb 11 2008 Frederic Crozat <fcrozat@mandriva.com> 0.0.8-8mdv2008.1
+ Revision: 165400
- Patch3: fix dlopen for audio backends
- Suggests SDL by default and use it by default (better Pulseaudio support)

* Thu Jan 17 2008 Thierry Vignaud <tv@mandriva.org> 0.0.8-7mdv2008.1
+ Revision: 154150
- do not package big changelog
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.8-6mdv2008.1
+ Revision: 101529
- new devel library policy
- new license policy
- provide patch 2 (linking with pthread)
- drop arts support
- preffer alsa backend over the native
- remove depreciaded configure options
- spec file clean

* Mon Jul 16 2007 Olivier Blin <oblin@mandriva.com> 0.0.8-5mdv2008.0
+ Revision: 52657
- fix ALCvoid patch

* Mon Jul 16 2007 Olivier Blin <oblin@mandriva.com> 0.0.8-4mdv2008.0
+ Revision: 52619
- fix build with gcc 4.2 and Werror (from Debian #379862)

* Wed Jun 27 2007 Olivier Blin <oblin@mandriva.com> 0.0.8-3mdv2008.0
+ Revision: 45022
- remove invalid pkgconfig requirements (makes pkg-config --exists fail)


* Tue Dec 05 2006 Olivier Blin <oblin@mandriva.com> 0.0.8-2mdv2007.0
+ Revision: 90655
- drop multiarch macro that does not expand anymore in files section
- 0.0.8 final (still one year old)
- Import openal

* Tue Aug 01 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.0.8-1.20050824.2mdv2007.0
- add config to have openal try several output devices (fixes #23355)
- fix requires for info-install
- fix macro-in-%%changelog

* Thu Aug 25 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.0.8-1.20050824.1mdk
- new cvs snapshot
- remove some configure options that's no longer used

* Sun Jul 10 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.0.8-1.20050709.1mdk
- update to latest from cvs
- dlopen arts, alsa and esd (fixes #16713)

* Fri May 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.0.8-1.20050505.1mdk
- update to latest from cvs
- lib64 fix
- %%mkrel
- drop P2 (fixed upstream)

* Sat Mar 12 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.8-1.20050312.1mdk
- bah, really update to latest from cvs
- multiarch
- let release tag reflect on cvs date

* Sat Feb 19 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.8-1mdk
- new cvs snapshot (micro version bumpedn to 8
- fix summary-ended-with-dot

* Thu Dec 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.7-3mdk
- new cvs snapshot
- --disable-arch-asm for now

* Sat Oct 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.7-2mdk
- disable jlib

* Thu Jul 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.7-1mdk
- new cvs snapshot (micro version bumped to 7
- fix buildrequires

* Wed Jun 09 2004 Götz Waschk <waschk@linux-mandrake.com> 0.0.6-14mdk
- rebuild

* Tue Feb 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.6-13mdk
- new cvs snapshot
- spec cosmetics
- drop P3, fixed upstream

* Tue Dec 23 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.6-12mdk
- new cvs snapshot
- alsa 1.0 support (P3, done by me, so probably ugly;)
- s/%%configure2_5x/%%configure/

